play_looped_midi(3)

NAME
play_looped_midi - Starts playing a MIDI file with a user-defined loop position. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int play_looped_midi(MIDI *midi, int loop_start, int loop_end);

DESCRIPTION
Starts playing a MIDI file with a user-defined loop position. When the player reaches the loop end position or the end of the file (loop_end may be -1 to only loop at EOF), it will wind back to the loop start point. Both positions are specified in the same beat number format as the midi_pos variable.

RETURN VALUE
The return value has the same meaning as that of play_midi(): non-zero if an error occurs, zero otherwise.

SEE ALSO
play_midi(3), midi_pos(3), midi_loop_start(3)